Subject: Re: bug#77709: Restoring the Hurd on core-packages-team branch

From: Z572 <[email-masked]>
Date: Wed, 07 May 2025 22:35:15 +0800

yelninei--- via Bug reports for GNU Guix <[email-masked]> writes:

> The openssl test issue went away after I updated openssl to 3.4.1
>
> Considering that 3.4.0 is vulnerable to CVE-2024-12797 and CVE-2024-13176
> it should probably be upgraded, but I dont know whether to use 3.4.1 or 3.5.0 ?

As far as I know, openssl 3.5 is the lts version and I would tend to
upgrade to 3.5. Are you interested in sending patches to update it?

>
> I reconfigured a minimal server os (basically just openssh and dhcp
> and and a hurd vm, removing guix-icons and no grub image to prevent a
> dependency on librsvg and thus rust) ontop of my WIP
> core-packages-team successfully and encountered some issueson the
> linux side:
>
> - dtc: Test failures
> - fakeroot: Fixed by an update to 1.37.1.1
> - python-pyelfutils: Test failures
> - nvi: Add a missing #~ in the #:make-flags
> - clisp: Test failures (this is needed because of gnulib -> patch -> linux-libre-source)
> - openbios: Had issues building libstdc++ for not version 14. The
> package is using gcc-10. Changing to the normal gcc (-14) and it fails
> compiling.  I worked around this by updating to a later commit which
> includes a change to disable a compiler warning.
>
>
> I ignored them for now because my main goal was a childhurd with
> glibc-2.41, latest hurd and mach natively.